summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini2019-06-27 08:49:47 +0200
committer Matteo Bernardini2019-08-18 09:06:04 +0200
commitb29078c28a576d80de3948d707df7a6c1bea7e89 (patch)
treebec379bbc84d95959efeaab47f1c4cf6b5e59ac0
parentd04189e642ca17186cb9b2b5899fa9c12aceb782 (diff)
downloadslackbuilds-suru-plus-icon-theme.tar.gz
desktop/suru-plus-icon-theme: Added (icon theme).suru-plus-icon-theme
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--desktop/suru-plus-icon-theme/README3
-rw-r--r--desktop/suru-plus-icon-theme/doinst.sh5
-rw-r--r--desktop/suru-plus-icon-theme/slack-desc19
-rw-r--r--desktop/suru-plus-icon-theme/suru-plus-icon-theme.SlackBuild63
-rw-r--r--desktop/suru-plus-icon-theme/suru-plus-icon-theme.info10
5 files changed, 100 insertions, 0 deletions
diff --git a/desktop/suru-plus-icon-theme/README b/desktop/suru-plus-icon-theme/README
new file mode 100644
index 0000000000..bc31a6a5bb
--- /dev/null
+++ b/desktop/suru-plus-icon-theme/README
@@ -0,0 +1,3 @@
+Suru++ is a cyberpunkish, elegant, futuristic, macOS-like,
+Papirus-like and modern Suru icons based on Suru Icons
+by Sam Hewitt.
diff --git a/desktop/suru-plus-icon-theme/doinst.sh b/desktop/suru-plus-icon-theme/doinst.sh
new file mode 100644
index 0000000000..4110f5514d
--- /dev/null
+++ b/desktop/suru-plus-icon-theme/doinst.sh
@@ -0,0 +1,5 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/suru-plus-icon-theme/slack-desc b/desktop/suru-plus-icon-theme/slack-desc
new file mode 100644
index 0000000000..97b1322469
--- /dev/null
+++ b/desktop/suru-plus-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+suru-plus-icon-theme: suru-plus-icon-theme (Extensive SVG icons set)
+suru-plus-icon-theme:
+suru-plus-icon-theme: Suru++ is a cyberpunkish, elegant, futuristic, macOS-like,
+suru-plus-icon-theme: Papirus-like and modern Suru icons based on Suru Icons
+suru-plus-icon-theme: by Sam Hewitt.
+suru-plus-icon-theme:
+suru-plus-icon-theme: homepage: https://github.com/gusbemacbe/suru-plus
+suru-plus-icon-theme:
+suru-plus-icon-theme:
+suru-plus-icon-theme:
+suru-plus-icon-theme:
diff --git a/desktop/suru-plus-icon-theme/suru-plus-icon-theme.SlackBuild b/desktop/suru-plus-icon-theme/suru-plus-icon-theme.SlackBuild
new file mode 100644
index 0000000000..665e22dc69
--- /dev/null
+++ b/desktop/suru-plus-icon-theme/suru-plus-icon-theme.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for suru-plus-icon-theme
+
+# Copyright 2019 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=suru-plus-icon-theme
+SRCNAM=suru-plus
+VERSION=${VERSION:-30.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG $SRCNAM-$VERSION
+mkdir -p $PKG/usr/share/icons $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cp -a eSuru++ Suru++ Suru++-Light $PKG/usr/share/icons/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING CREDITS LICENSE *.md tools $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/suru-plus-icon-theme/suru-plus-icon-theme.info b/desktop/suru-plus-icon-theme/suru-plus-icon-theme.info
new file mode 100644
index 0000000000..045be3da36
--- /dev/null
+++ b/desktop/suru-plus-icon-theme/suru-plus-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="suru-plus-icon-theme"
+VERSION="30.0"
+HOMEPAGE="https://github.com/gusbemacbe/suru-plus"
+DOWNLOAD="https://github.com/gusbemacbe/suru-plus/archive/v30.0/suru-plus-30.0.tar.gz"
+MD5SUM="aba1a105215425e843b60b8edae38241"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"